//+------------------------------------------------------------------+
//|                                                  Hotkey Sell.mq4 |
//|                            Copyright  2006, Archer Trading, LLC |
//|                                     http://www.archertrading.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Archer Trading, LLC"
#property link      "http://www.archertrading.net"
#include <stdlib.mqh>

extern int TakeProfit = 20;
extern int StopLoss = 20;
extern int Slippage = 3;                   
extern double Lots = 5.0; 

int start()
  {
   int ticket = 0;
   int err = 0;
   int SL = 0;
   int TP = 0;


   while(true)
   {
    SL = Bid + StopLoss*Point;
    TP = Bid - TakeProfit*Point;   
    ticket = OrderSend(Symbol(),OP_SELL,Lots,Bid,Slippage,SL,TP,"HotKey Sell",0,0,Red);
    if(ticket == -1)
    {
     err=GetLastError();
     Print("Error(",err,"): ",ErrorDescription(err));
     if(err == 129 || err == 138 || err == 135)
     {
      RefreshRates();
     }
    }
    if(ticket == -1)
    {
     err=GetLastError();
     Print("Error(",err,"): ",ErrorDescription(err));
     if(err==134)
     { 
      break; 
     }
     Print("Retrying SELL entry");
     ticket = OrderSend(Symbol(),OP_SELL,Lots,Bid,Slippage,SL,TP,"HotKey Sell",0,0,Red);
     if(ticket == -1)
     {
      err=GetLastError();
      Print("Retrying SELL error(",err,"): ",ErrorDescription(err));
     } 
    if(ticket > 0)
    {
     Print("SELL order placed at: " + Bid + ", ticket: " + ticket + ", current price: " + Ask);
    }
    return(0);   
   }
  }
  return(0);
 }

